## org.hibernate.internal.util.collections
Class IdentityMap.IdentityKey<K>

    java.lang.Object
      org.hibernate.internal.util.collections.IdentityMap.IdentityKey<K>

All Implemented Interfaces:
  Serializable

Enclosing class:
  IdentityMap<K,V>

    public static final class IdentityMap.IdentityKey<K>

extends Object
implements Serializable

See Also:
  Serialized Form

Method Summary
`boolean` `equals(Object other)`
`K` `getRealKey()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getRealKey

    public K getRealKey()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.